package com.clx.performance.service;


import com.clx.performance.param.pc.payment.PayParam;
import com.clx.performance.param.pc.payment.PayPlatformFeeParam;
import com.clx.performance.param.pc.payment.WalletResidueDTO;
import com.msl.common.result.Result;

public interface PaymentService {

    Result paymentWallet( PayParam noCheckPwd);

    Result paymentBreakContractWallet( PayParam noCheckPwd);

    Result paymentPlatformFee(PayPlatformFeeParam param);

    Result paymentChangePlatformFee(PayPlatformFeeParam param);

    Result paymentCompletePlatformFee(PayPlatformFeeParam param);

    Result paymentCancelPlatformFee(PayPlatformFeeParam param);

    void  updateOrderPaymentFail(String orderNo,String msg,Integer operation, String paymentItem);

    void  updateOrderPaymentSuccess(String orderNo,Integer operation, String paymentItem);

    void  updateOrderPaymentStatusById(String id,int status);

    void  updateOrderPaymentSerialNoSuccess(String orderNo,String serialNo,Integer operation, String paymentItem);

    WalletResidueDTO getWalletAndCard(Integer userCode);


}
